Get SAML Configuration
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/3/aaa/team-saml/v1/configuration \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/3/aaa/team-saml/v1/configuration"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/3/aaa/team-saml/v1/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idpDetails": {
"icon": "<string>",
"name": "<string>"
},
"idpParameters": {
"active": true,
"groupNames": [
"group1"
],
"metadataUrl": "https://<...>.okta.com/app/<...>/sso/saml/metadata",
"teamEntityId": 1234567
},
"spParameters": {
"assertionConsumerServiceUrl": "assertion",
"binding": "binding",
"metadataUrl": "https://<...>.okta.com/app/<...>/sso/saml/metadata",
"nameIdFormat": "name_id",
"signingCertPem": "certificate"
},
"teamId": 123
}SAML Configuration Service
Get SAML Configuration
No description available
Get SAML Configuration
Authorizations
API key authentication
Query Parameters
Response
This data structure is obtained as a response to a request to retrieve the configuration of a SAML service provider and identity provider
Show child attributes
Show child attributes
This data structure represents a set of SAML identity provider parameters
- IDP Parameters
- IDP Parameters
Show child attributes
Show child attributes
This data structure represents the parameters of a SAML service provider
Show child attributes
Show child attributes
Was this page helpful?
⌘I